%define name sn
%define version 0.2.1
%define release 1
%define builddir $RPM_BUILD_DIR/%{name}-%{version}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		harold <harold-sn@nb.com.sg>
Source:         %{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}.redhat.patch
Group:		Networking/News
Copyright:	GPL
Summary:	news system for small sites
BuildRoot:	/var/tmp/sn-root
Summary(pl):	system newsw przeznaczonych dla maych serwerw
Requires:	ucspi-tcp

%description
sn is a small news system for small sites serving perhaps a few dozen
newsgroups, and with a slow connection to the internet.  It is
similar to leafnode (ftp.troll.no, by Arnt Gulbrandsen), though it
lacks an intelligent news fetcher.  The target user is a home or
SOHO with a single modem connection to the Internet, maybe running IP masq
or similar, and serving a few workstations.

Requires ucspi-tcp (http://pobox.com/~djb).
If you use sendmail instead qmail then modify some scripts in /usr/lib/sn

%description -l pl
sn jest maym systemem newsw przeznaczonym dla maych serwerw o wolnym
poczeniu z Internetem dostarczajcych kilkadziesit grup.
sn jest podobny do leafnode (ftp.troll.no, autorstwa Arnt Gulbrandsen'a).

Wymaga ucspi-tcp (http://pobox.com/~djb).
Jeli uywasz sendmaila zamiast qmaila to zmodyfikuj niektre ze skryptw w
/usr/lib/sn

%changelog
* Mon Aug 10 1998 Arkadiusz Mikiewicz <misiek@debian.eu.org>
- initial RPM release

%prep
%setup -n sn-0.2.1
%patch0 -p1

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make install INSTALL_PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files
%defattr(-, root, root)
%doc README INSTALL INSTALL CHANGES INSTALL.run INSTALL.upgrade
%doc INSTALL.notes INTERNALS files.README THANKS
/usr/man/man8/*
%defattr(-, news, news)
/usr/lib/sn/*
/var/spool/sn
